# H225_Facility_UUIE Class Reference

`#include <h225.h>`

Inheritance diagram for H225_Facility_UUIE:

List of all members.

## Public Types

enum | OptionalFields { e_alternativeAddress, e_alternativeAliasAddress, e_conferenceID, e_callIdentifier, e_destExtraCallInfo, e_remoteExtensionAddress, e_tokens, e_cryptoTokens, e_conferences, e_h245Address, e_fastStart, e_multipleCalls, e_maintainConnection, e_fastConnectRefused, e_serviceControl, e_circuitInfo, e_featureSet, e_destinationInfo, e_h245SecurityMode }

## Public Member Functions

| H225_Facility_UUIE (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_ProtocolIdentifier | m_protocolIdentifier
H225_TransportAddress | m_alternativeAddress
H225_ArrayOf_AliasAddress | m_alternativeAliasAddress
H225_ConferenceIdentifier | m_conferenceID
H225_FacilityReason | m_reason
H225_CallIdentifier | m_callIdentifier
H225_ArrayOf_AliasAddress | m_destExtraCallInfo
H225_AliasAddress | m_remoteExtensionAddress
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ArrayOf_ConferenceList | m_conferences
H225_TransportAddress | m_h245Address
H225_ArrayOf_PASN_OctetString | m_fastStart
PASN_Boolean | m_multipleCalls
PASN_Boolean | m_maintainConnection
PASN_Null | m_fastConnectRefused
H225_ArrayOf_ServiceControlSession | m_serviceControl
H225_CircuitInfo | m_circuitInfo
H225_FeatureSet | m_featureSet
H225_EndpointType | m_destinationInfo
H225_H245Security | m_h245SecurityMode

## Member Enumeration Documentation

enum H225_Facility_UUIE::OptionalFields

Enumerator:

  e_alternativeAddress |
  e_alternativeAliasAddress |
  e_conferenceID |
  e_callIdentifier |
  e_destExtraCallInfo |
  e_remoteExtensionAddress |
  e_tokens |
  e_cryptoTokens |
  e_conferences |
  e_h245Address |
  e_fastStart |
  e_multipleCalls |
  e_maintainConnection |
  e_fastConnectRefused |
  e_serviceControl |
  e_circuitInfo |
  e_featureSet |
  e_destinationInfo |
  e_h245SecurityMode |

## Constructor & Destructor Documentation

H225_Facility_UUIE::H225_Facility_UUIE | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_Facility_UUIE::GetDataLength | ( |  | ) | const

PBoolean H225_Facility_UUIE::Decode | ( | PASN_Stream & | strm | ) |

void H225_Facility_UUIE::Encode | ( | PASN_Stream & | strm | ) | const

void H225_Facility_UUIE::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_Facility_UUIE::Compare | ( | const PObject & | obj | ) | const

PObject* H225_Facility_UUIE::Clone | ( |  | ) | const

## Member Data Documentation

H225_ProtocolIdentifier H225_Facility_UUIE::m_protocolIdentifier

H225_TransportAddress H225_Facility_UUIE::m_alternativeAddress

H225_ArrayOf_AliasAddress H225_Facility_UUIE::m_alternativeAliasAddress

H225_ConferenceIdentifier H225_Facility_UUIE::m_conferenceID

H225_FacilityReason H225_Facility_UUIE::m_reason

H225_CallIdentifier H225_Facility_UUIE::m_callIdentifier

H225_ArrayOf_AliasAddress H225_Facility_UUIE::m_destExtraCallInfo

H225_AliasAddress H225_Facility_UUIE::m_remoteExtensionAddress

H225_ArrayOf_ClearToken H225_Facility_UUIE::m_tokens

H225_ArrayOf_CryptoH323Token H225_Facility_UUIE::m_cryptoTokens

H225_ArrayOf_ConferenceList H225_Facility_UUIE::m_conferences

H225_TransportAddress H225_Facility_UUIE::m_h245Address

H225_ArrayOf_PASN_OctetString H225_Facility_UUIE::m_fastStart

PASN_Boolean H225_Facility_UUIE::m_multipleCalls

PASN_Boolean H225_Facility_UUIE::m_maintainConnection

PASN_Null H225_Facility_UUIE::m_fastConnectRefused

H225_ArrayOf_ServiceControlSession H225_Facility_UUIE::m_serviceControl

H225_CircuitInfo H225_Facility_UUIE::m_circuitInfo

H225_FeatureSet H225_Facility_UUIE::m_featureSet

H225_EndpointType H225_Facility_UUIE::m_destinationInfo

H225_H245Security H225_Facility_UUIE::m_h245SecurityMode

The documentation for this class was generated from the following file:

- h225.h